<template>
	<uni-popup ref="eggPopup" :animation="false" :is-mask-click="false"
	 mask-background-color="rgba(51, 137, 217, 0.65);">
	 <view class="study-egg-dialog">
			<view class="egg-content-box">
				<view class="egg-img"></view>
				<view class="egg-btn" @click="eggBtn"></view>
			</view>
	 </view>
	</uni-popup>
</template>

<script setup>
	import { ref } from 'vue';
	 const $emit = defineEmits(['eggBtn'])
	const eggPopup = ref(null); // 索引
	// 打开弹窗
	function eggShow() {
		eggPopup.value.open();
	}
	// 开启提分之旅按钮
	function eggBtn(){
		eggPopup.value.close();
		$emit('eggBtn')
	}
	defineExpose({
			eggShow
		})
</script>